## zimpl 2.07.ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.48 2006/09/18 09:22:13 bzfkocht Exp $
+# $Id: Makefile,v 1.64 2007/08/27 19:26:06 bzfpfets Exp $
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -8,7 +8,7 @@
 #*                                                                           *
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*
-#* Copyright (C) 2006 by Thorsten Koch <koch@zib.de>
+#* Copyright (C) 2005-2007 by Thorsten Koch <koch@zib.de>
 #* 
 #* This program is free software; you can redistribute it and/or
 #* modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 #* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 #*
 #
-.PHONY:		depend clean lint doc check valgrind libdbl
+.PHONY:		all depend clean lint doc check valgrind libdbl coverage
 
 ARCH            :=      $(shell uname -m | \
                         sed \
@@ -43,7 +43,9 @@
                         -e s/irix../irix/ )
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	2.05
+VERSION		=	2.07
+
+VERBOSE		=	false
 OPT		=	opt
 COMP		=	gnu
 CC		=	gcc
@@ -76,23 +78,35 @@
 BASE		=	$(OSTYPE).$(ARCH).$(COMP).$(OPT)
 OBJDIR		=	obj/O.$(BASE)
 NAME		=	zimpl
-TARGET		=	$(NAME)-$(VERSION).$(BASE)
-LIBRARY		=	$(LIBDIR)/lib$(TARGET).a
-LIBRARYDBL	=	$(LIBDIR)/lib$(TARGET).dbl.a
-BINARY		=	$(BINDIR)/$(TARGET)
+BINNAME		=	$(NAME)-$(VERSION).$(BASE)
+LIBNAME		=	$(NAME)-$(VERSION).$(BASE)
+LIBFILENAME	=	lib$(LIBNAME).a
+LIBDBLFILENAME	=	lib$(LIBNAME).dbl.a
+LIBRARY		=	$(LIBDIR)/$(LIBFILENAME)
+LIBRARYDBL	=	$(LIBDIR)/$(LIBDBLFILENAME)
+BINARY		=	$(BINDIR)/$(BINNAME)
+LIBLINKNAME	=	lib$(NAME).$(BASE).a
+LIBLINK		=	$(LIBDIR)/$(LIBLINKNAME)
+LIBDBLLINKNAME	=	lib$(NAME).$(BASE).dbl.a
+LIBDBLLINK	=	$(LIBDIR)/$(LIBDBLLINKNAME)
+BINLINKNAME	=	$(NAME).$(BASE)
+BINLINK		=	$(BINDIR)/$(BINLINKNAME)
+BINSHORTLINKNAME=	$(NAME)
+BINSHORTLINK	=	$(BINDIR)/$(BINSHORTLINKNAME)
 DEPEND		=	$(SRCDIR)/depend
 
 #-----------------------------------------------------------------------------
 
 OBJECT  	=       zimpl.o xlpglue.o \
 			ratlpstore.o ratlpfwrite.o ratmpswrite.o ratmstwrite.o \
-			ratordwrite.o ratpresolve.o ratsoswrite.o rathumwrite.o 
-LIBBASE		=	bound.o code.o conname.o define.o elem.o entry.o \
+			ratrlpwrite.o ratordwrite.o ratpresolve.o ratsoswrite.o \
+			rathumwrite.o 
+LIBBASE		=	blkmem.o bound.o code.o conname.o define.o elem.o entry.o \
 			gmpmisc.o hash.o heap.o idxset.o inst.o iread.o list.o \
 			load.o local.o metaio.o mmlparse.o mmlscan.o numbgmp.o \
-			prog.o rdefpar.o source.o \
+			prog.o random.o rdefpar.o source.o \
 			setempty.o setpseudo.o setlist.o setrange.o setprod.o \
-			setmulti.o set4.o stmt.o strstore.o symbol.o term.o \
+			setmulti.o set4.o stmt.o strstore2.o symbol.o term.o \
 			tuple.o vinst.o mshell.o zimpllib.o
 LIBOBJ		=	$(LIBBASE) gmpmisc.o numbgmp.o
 LIBDBLOBJ	=	$(LIBBASE) numbdbl.o
@@ -109,25 +123,52 @@
 -include make/local/make.$(HOSTNAME).$(COMP).$(OPT)
 #-----------------------------------------------------------------------------
 
+ifeq ($(VERBOSE),false)
+.SILENT:	$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK) $(SRCDIR)/mmlparse.c $(SRCDIR)/mmlscan.c $(OBJXXX) $(LIBXXX) $(LIBDBLXXX)
+endif
+
+all:		$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK)
+
+$(LIBLINK):	$(LIBRARY)
+		@rm -f $@
+		cd $(LIBDIR) && ln -s $(LIBFILENAME) $(LIBLINKNAME)
+
+$(LIBDBLLINK):	$(LIBRARYDBL)
+		@rm -f $@
+		cd $(LIBDIR) && ln -s $(LIBDBLFILENAME) $(LIBDBLLINKNAME)
+
+$(BINLINK):	$(BINARY)
+		@rm -f $@
+		cd $(BINDIR) && ln -s $(BINNAME) $(BINLINKNAME)
+
+$(BINSHORTLINK):	$(BINARY)
+		@rm -f $@
+		cd $(BINDIR) && ln -s $(BINNAME) $(BINSHORTLINKNAME)
+
 $(BINARY):	$(OBJDIR) $(BINDIR) $(OBJXXX) $(LIBRARY) 
-		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(TARGET) $(LDFLAGS) -o $@
-
-$(LIBRARY):	$(LIBDIR) $(LIBXXX) 
+		@echo "-> linking $@"
+		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME) $(LDFLAGS) -o $@
+
+$(LIBRARY):	$(OBJDIR) $(LIBDIR) $(LIBXXX) 
+		@echo "-> generating library $@"
 		-rm -f $(LIBRARY)
 		$(AR) $(ARFLAGS) $@ $(LIBXXX)
 		$(RANLIB) $@
 
-libdbl:		$(LIBRARYDBL)
-
-$(LIBRARYDBL):	$(LIBDIR) $(LIBDBLXXX) 
+libdbl:		$(LIBRARYDBL) $(LIBDBLLINK)
+
+$(LIBRARYDBL):	$(OBJDIR) $(LIBDIR) $(LIBDBLXXX) 
+		@echo "-> generating library $@"
 		-rm -f $(LIBRARYDBL)
 		$(AR) $(ARFLAGS) $@ $(LIBDBLXXX)
 		$(RANLIB) $@
 
 $(SRCDIR)/mmlparse.c:	$(SRCDIR)/mmlparse.y $(SRCDIR)/mme.h
+		@echo "-> generating yacc parser $@"
 		$(YACC) $(YFLAGS) -o $@ $<
 
 $(SRCDIR)/mmlscan.c:	$(SRCDIR)/mmlscan.l $(SRCDIR)/mme.h
+		@echo "-> generating lex scanner $@"
 		$(LEX) $(LFLAGS) -o$@ $< 
 
 lint:		$(OBJSRC) $(LIBSRC)
@@ -145,17 +186,30 @@
 		cd check; \
 		/bin/sh ./check.sh "$(VALGRIND) ../$(BINARY)" 
 
+coverage:
+		-ln -s ../../src $(OBJDIR)
+		-mkdir -p gcov
+		lcov -d $(OBJDIR) -z
+		make OPT=gcov check
+		lcov -d $(OBJDIR) -c >gcov/z.capture
+		lcov -d $(OBJDIR) -r gcov/z.capture "*mmlscan.c" "*mmlparse.c" >gcov/zimpl.capture
+		genhtml -o gcov gcov/zimpl.capture
+		-rm gcov/z.capture
+
 $(OBJDIR):	
-		-mkdir -p $(OBJDIR)
+		@echo "** creating directory \"$@\""
+		@-mkdir -p $(OBJDIR)
 
 $(LIBDIR):
-		-mkdir -p $(LIBDIR)
+		@echo "** creating directory \"$@\""
+		@-mkdir -p $(LIBDIR)
 
 $(BINDIR):
-		-mkdir -p $(BINDIR)
+		@echo "** creating directory \"$@\""
+		@-mkdir -p $(BINDIR)
 
 clean:
-		-rm -rf $(OBJDIR)/* $(TARGET)
+		-rm -rf $(OBJDIR)/* $(BINARY) $(LIBRARY) $(LIBRARYDBL)
 
 depend:
 		$(SHELL) -ec '$(DCC) $(DFLAGS) $(CPPFLAGS) $(OBJSRC) $(LIBSRC) \
@@ -165,11 +219,7 @@
 -include	$(DEPEND)
 
 $(OBJDIR)/%.o:	$(SRCDIR)/%.c
+		@echo "-> compiling $@"
 		$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
 
 # --- EOF ---------------------------------------------------------------------
-
-
-
-
-
