## zimpl 2.09.ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.64 2007/08/27 19:26:06 bzfpfets Exp $
+# $Id$
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -8,7 +8,7 @@
 #*                                                                           *
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*
-#* Copyright (C) 2005-2007 by Thorsten Koch <koch@zib.de>
+#* Copyright (C) 2005-2008 by Thorsten Koch <koch@zib.de>
 #* 
 #* This program is free software; you can redistribute it and/or
 #* modify it under the terms of the GNU General Public License
@@ -43,8 +43,7 @@
                         -e s/irix../irix/ )
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	2.07
-
+VERSION		=	2.09
 VERBOSE		=	false
 OPT		=	opt
 COMP		=	gnu
@@ -80,31 +79,24 @@
 NAME		=	zimpl
 BINNAME		=	$(NAME)-$(VERSION).$(BASE)
 LIBNAME		=	$(NAME)-$(VERSION).$(BASE)
-LIBFILENAME	=	lib$(LIBNAME).a
-LIBDBLFILENAME	=	lib$(LIBNAME).dbl.a
-LIBRARY		=	$(LIBDIR)/$(LIBFILENAME)
-LIBRARYDBL	=	$(LIBDIR)/$(LIBDBLFILENAME)
+LIBRARY		=	$(LIBDIR)/lib$(LIBNAME).a
+LIBRARYDBL	=	$(LIBDIR)/lib$(LIBNAME).dbl.a
 BINARY		=	$(BINDIR)/$(BINNAME)
-LIBLINKNAME	=	lib$(NAME).$(BASE).a
-LIBLINK		=	$(LIBDIR)/$(LIBLINKNAME)
-LIBDBLLINKNAME	=	lib$(NAME).$(BASE).dbl.a
-LIBDBLLINK	=	$(LIBDIR)/$(LIBDBLLINKNAME)
-BINLINKNAME	=	$(NAME).$(BASE)
-BINLINK		=	$(BINDIR)/$(BINLINKNAME)
-BINSHORTLINKNAME=	$(NAME)
-BINSHORTLINK	=	$(BINDIR)/$(BINSHORTLINKNAME)
+LIBLINK		=	$(LIBDIR)/lib$(NAME).$(BASE).a
+LIBDBLLINK	=	$(LIBDIR)/lib$(NAME).$(BASE).dbl.a
+BINLINK		=	$(BINDIR)/$(NAME).$(BASE)
+BINSHORTLINK	=	$(BINDIR)/$(NAME)
 DEPEND		=	$(SRCDIR)/depend
 
 #-----------------------------------------------------------------------------
 
 OBJECT  	=       zimpl.o xlpglue.o \
 			ratlpstore.o ratlpfwrite.o ratmpswrite.o ratmstwrite.o \
-			ratrlpwrite.o ratordwrite.o ratpresolve.o ratsoswrite.o \
-			rathumwrite.o 
+			ratrlpwrite.o ratordwrite.o ratpresolve.o rathumwrite.o 
 LIBBASE		=	blkmem.o bound.o code.o conname.o define.o elem.o entry.o \
 			gmpmisc.o hash.o heap.o idxset.o inst.o iread.o list.o \
-			load.o local.o metaio.o mmlparse.o mmlscan.o numbgmp.o \
-			prog.o random.o rdefpar.o source.o \
+			load.o local.o metaio.o mmlparse.o mmlscan.o \
+			numbgmp.o prog.o random.o rdefpar.o source.o \
 			setempty.o setpseudo.o setlist.o setrange.o setprod.o \
 			setmulti.o set4.o stmt.o strstore2.o symbol.o term.o \
 			tuple.o vinst.o mshell.o zimpllib.o
@@ -124,26 +116,23 @@
 #-----------------------------------------------------------------------------
 
 ifeq ($(VERBOSE),false)
-.SILENT:	$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK) $(SRCDIR)/mmlparse.c $(SRCDIR)/mmlscan.c $(OBJXXX) $(LIBXXX) $(LIBDBLXXX)
+.SILENT:	$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK) \
+		$(SRCDIR)/mmlparse2.c $(SRCDIR)/mmlscan.c $(OBJXXX) $(LIBXXX) $(LIBDBLXXX)
 endif
 
 all:		$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK)
 
 $(LIBLINK):	$(LIBRARY)
 		@rm -f $@
-		cd $(LIBDIR) && ln -s $(LIBFILENAME) $(LIBLINKNAME)
+		cd $(dir $@) && ln -s $(notdir $(LIBRARY)) $(notdir $@)
 
 $(LIBDBLLINK):	$(LIBRARYDBL)
 		@rm -f $@
-		cd $(LIBDIR) && ln -s $(LIBDBLFILENAME) $(LIBDBLLINKNAME)
-
-$(BINLINK):	$(BINARY)
+		cd $(dir $@) && ln -s $(notdir $(LIBRARYDBL)) $(notdir $@)
+
+$(BINLINK) $(BINSHORTLINK):	$(BINARY)
 		@rm -f $@
-		cd $(BINDIR) && ln -s $(BINNAME) $(BINLINKNAME)
-
-$(BINSHORTLINK):	$(BINARY)
-		@rm -f $@
-		cd $(BINDIR) && ln -s $(BINNAME) $(BINSHORTLINKNAME)
+		cd $(dir $@) && ln -s $(notdir $(BINARY)) $(notdir $@)
 
 $(BINARY):	$(OBJDIR) $(BINDIR) $(OBJXXX) $(LIBRARY) 
 		@echo "-> linking $@"
@@ -192,7 +181,7 @@
 		lcov -d $(OBJDIR) -z
 		make OPT=gcov check
 		lcov -d $(OBJDIR) -c >gcov/z.capture
-		lcov -d $(OBJDIR) -r gcov/z.capture "*mmlscan.c" "*mmlparse.c" >gcov/zimpl.capture
+		lcov -d $(OBJDIR) -r gcov/z.capture "*mmlscan.c" "*mmlparse2.c" >gcov/zimpl.capture
 		genhtml -o gcov gcov/zimpl.capture
 		-rm gcov/z.capture
 
@@ -209,7 +198,7 @@
 		@-mkdir -p $(BINDIR)
 
 clean:
-		-rm -rf $(OBJDIR)/* $(BINARY) $(LIBRARY) $(LIBRARYDBL)
+		-rm -rf $(OBJDIR)/* $(BINARY) $(LIBRARY) $(LIBRARYDBL) $(LIBLINK) $(BINLINK) $(BINSHORTLINK)
 
 depend:
 		$(SHELL) -ec '$(DCC) $(DFLAGS) $(CPPFLAGS) $(OBJSRC) $(LIBSRC) \
