## zimpl 3.0.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #*                                                                           *
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*
-#* Copyright (C) 2005-2008 by Thorsten Koch <koch@zib.de>
+#* Copyright (C) 2005-2009 by Thorsten Koch <koch@zib.de>
 #* 
 #* This program is free software; you can redistribute it and/or
 #* modify it under the terms of the GNU General Public License
@@ -43,7 +43,7 @@
                         -e s/irix../irix/ )
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	2.09
+VERSION		=	3.0.0
 VERBOSE		=	false
 OPT		=	opt
 COMP		=	gnu
@@ -95,10 +95,10 @@
 			ratrlpwrite.o ratordwrite.o ratpresolve.o rathumwrite.o 
 LIBBASE		=	blkmem.o bound.o code.o conname.o define.o elem.o entry.o \
 			gmpmisc.o hash.o heap.o idxset.o inst.o iread.o list.o \
-			load.o local.o metaio.o mmlparse.o mmlscan.o \
+			load.o local.o metaio.o mmlparse2.o mmlscan.o mono.o \
 			numbgmp.o prog.o random.o rdefpar.o source.o \
 			setempty.o setpseudo.o setlist.o setrange.o setprod.o \
-			setmulti.o set4.o stmt.o strstore2.o symbol.o term.o \
+			setmulti.o set4.o stmt.o strstore2.o symbol.o term2.o \
 			tuple.o vinst.o mshell.o zimpllib.o
 LIBOBJ		=	$(LIBBASE) gmpmisc.o numbgmp.o
 LIBDBLOBJ	=	$(LIBBASE) numbdbl.o
@@ -152,7 +152,7 @@
 		$(AR) $(ARFLAGS) $@ $(LIBDBLXXX)
 		$(RANLIB) $@
 
-$(SRCDIR)/mmlparse.c:	$(SRCDIR)/mmlparse.y $(SRCDIR)/mme.h
+$(SRCDIR)/mmlparse2.c:	$(SRCDIR)/mmlparse2.y $(SRCDIR)/mme.h
 		@echo "-> generating yacc parser $@"
 		$(YACC) $(YFLAGS) -o $@ $<
 
@@ -161,7 +161,7 @@
 		$(LEX) $(LFLAGS) -o$@ $< 
 
 lint:		$(OBJSRC) $(LIBSRC)
-		$(LINT) $(SRCDIR)/project.lnt -os\(lint.out\) \
+		$(LINT) $(SRCDIR)/project.lnt \
 		$(CPPFLAGS) -UNDEBUG -Dinline= -DNO_MSHELL $^
 
 doc:
