## zimpl 3.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id$
+# $Id: Makefile,v 1.76 2010/09/30 14:45:12 bzfkocht Exp $
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -8,7 +8,7 @@
 #*                                                                           *
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*
-#* Copyright (C) 2005-2009 by Thorsten Koch <koch@zib.de>
+#* Copyright (C) 2005-2010 by Thorsten Koch <koch@zib.de>
 #* 
 #* This program is free software; you can redistribute it and/or
 #* modify it under the terms of the GNU General Public License
@@ -38,12 +38,13 @@
 			-e s/00........../pwr4/)
 OSTYPE          :=      $(shell uname -s | \
                         tr '[:upper:]' '[:lower:]' | \
+			tr -d '[:punct:]' | \
                         sed \
 			-e s/cygwin.*/cygwin/ \
                         -e s/irix../irix/ )
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	3.0.0
+VERSION		=	3.1.0
 VERBOSE		=	false
 OPT		=	opt
 COMP		=	gnu
@@ -92,7 +93,7 @@
 
 OBJECT  	=       zimpl.o xlpglue.o \
 			ratlpstore.o ratlpfwrite.o ratmpswrite.o ratmstwrite.o \
-			ratrlpwrite.o ratordwrite.o ratpresolve.o rathumwrite.o 
+			ratordwrite.o ratpresolve.o  
 LIBBASE		=	blkmem.o bound.o code.o conname.o define.o elem.o entry.o \
 			gmpmisc.o hash.o heap.o idxset.o inst.o iread.o list.o \
 			load.o local.o metaio.o mmlparse2.o mmlscan.o mono.o \
@@ -115,6 +116,14 @@
 -include make/local/make.$(HOSTNAME).$(COMP).$(OPT)
 #-----------------------------------------------------------------------------
 
+FLAGS           +=      $(USRFLAGS)
+OFLAGS          +=      $(USROFLAGS)
+CFLAGS          +=      $(USRCFLAGS) $(USROFLAGS)
+LDFLAGS         +=      $(USRLDFLAGS)
+ARFLAGS         +=      $(USRARFLAGS)
+DFLAGS          +=      $(USRDFLAGS)
+
+
 ifeq ($(VERBOSE),false)
 .SILENT:	$(LIBRARY) $(LIBLINK) $(BINARY) $(BINLINK) $(BINSHORTLINK) \
 		$(SRCDIR)/mmlparse2.c $(SRCDIR)/mmlscan.c $(OBJXXX) $(LIBXXX) $(LIBDBLXXX)
