## zimpl 3.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.76 2010/09/30 14:45:12 bzfkocht Exp $
+# $Id: Makefile,v 1.82 2011/10/31 08:48:56 bzfkocht Exp $
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -25,27 +25,31 @@
 #* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 #*
 #
-.PHONY:		all depend clean lint doc check valgrind libdbl coverage
+.PHONY:		all depend clean lint doc doxygen check valgrind libdbl coverage
 
 ARCH            :=      $(shell uname -m | \
                         sed \
 			-e s/sun../sparc/ \
 			-e s/i.86/x86/ \
 			-e s/i86pc/x86/ \
+			-e s/amd64/x86_64/ \
 			-e s/IP../mips/ \
 			-e s/9000..../hppa/ \
 			-e s/Power\ Macintosh/ppc/ \
 			-e s/00........../pwr4/)
 OSTYPE          :=      $(shell uname -s | \
                         tr '[:upper:]' '[:lower:]' | \
-			tr -d '[:punct:]' | \
+			tr '/' '_' | \
                         sed \
 			-e s/cygwin.*/cygwin/ \
                         -e s/irix../irix/ )
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	3.1.0
+VERSION		=	3.2.0
 VERBOSE		=	false
+SHARED		=	false
+STATIC		=	false
+LINK		=	normal
 OPT		=	opt
 COMP		=	gnu
 CC		=	gcc
@@ -53,8 +57,9 @@
 LEX		=	flex
 DCC		=	gcc
 LINT		=	flexelint
-AR		=	ar
+AR		=	ar cr
 RANLIB		=	ranlib
+DOXY		=	doxygen
 VALGRIND	=	valgrind --tool=memcheck --leak-check=full \
 			--leak-resolution=high --show-reachable=yes 
 
@@ -67,7 +72,7 @@
 LDFLAGS		=	-lgmp -lz -lm
 YFLAGS		=	-d -t -v  
 LFLAGS		=	-d
-ARFLAGS		=	cr
+ARFLAGS		=	
 DFLAGS		=	-MM
 
 GCCWARN		=	-Wall -W -Wpointer-arith -Wcast-align -Wwrite-strings \
@@ -75,14 +80,22 @@
 			-Wmissing-declarations -Wshadow -Waggregate-return \
 			-Wno-unused -Wno-unknown-pragmas 
 
+ifeq ($(SHARED),true)
+LINK		=	shared
+endif
+ifeq ($(STATIC),true)
+LINK		=	static
+endif
+
 BASE		=	$(OSTYPE).$(ARCH).$(COMP).$(OPT)
-OBJDIR		=	obj/O.$(BASE)
+OBJDIR		=	obj/O.$(OSTYPE).$(ARCH).$(COMP).$(LINK).$(OPT)
 NAME		=	zimpl
-BINNAME		=	$(NAME)-$(VERSION).$(BASE)
+BINNAME		=	$(NAME)-$(VERSION).$(OSTYPE).$(ARCH).$(COMP).$(LINK).$(OPT)
 LIBNAME		=	$(NAME)-$(VERSION).$(BASE)
 LIBRARY		=	$(LIBDIR)/lib$(LIBNAME).a
 LIBRARYDBL	=	$(LIBDIR)/lib$(LIBNAME).dbl.a
 BINARY		=	$(BINDIR)/$(BINNAME)
+BINARYDBL	=	$(BINDIR)/$(BINNAME).dbl
 LIBLINK		=	$(LIBDIR)/lib$(NAME).$(BASE).a
 LIBDBLLINK	=	$(LIBDIR)/lib$(NAME).$(BASE).dbl.a
 BINLINK		=	$(BINDIR)/$(NAME).$(BASE)
@@ -91,16 +104,16 @@
 
 #-----------------------------------------------------------------------------
 
-OBJECT  	=       zimpl.o xlpglue.o \
+OBJECT  	=       zimpl.o xlpglue.o zlpglue.o \
 			ratlpstore.o ratlpfwrite.o ratmpswrite.o ratmstwrite.o \
 			ratordwrite.o ratpresolve.o  
 LIBBASE		=	blkmem.o bound.o code.o conname.o define.o elem.o entry.o \
-			gmpmisc.o hash.o heap.o idxset.o inst.o iread.o list.o \
+			hash.o heap.o idxset.o inst.o iread.o list.o \
 			load.o local.o metaio.o mmlparse2.o mmlscan.o mono.o \
-			numbgmp.o prog.o random.o rdefpar.o source.o \
+			mshell.o prog.o random.o rdefpar.o source.o \
 			setempty.o setpseudo.o setlist.o setrange.o setprod.o \
-			setmulti.o set4.o stmt.o strstore2.o symbol.o term2.o \
-			tuple.o vinst.o mshell.o zimpllib.o
+			setmulti.o set4.o stmt.o stkchk.o strstore2.o symbol.o \
+			term2.o tuple.o vinst.o zimpllib.o
 LIBOBJ		=	$(LIBBASE) gmpmisc.o numbgmp.o
 LIBDBLOBJ	=	$(LIBBASE) numbdbl.o
 OBJXXX		=	$(addprefix $(OBJDIR)/,$(OBJECT))
@@ -110,7 +123,7 @@
 LIBSRC		=	$(addprefix $(SRCDIR)/,$(LIBOBJ:.o=.c)) #(SRCDIR)/numbdbl.c
 
 #-----------------------------------------------------------------------------
-include make/make.$(BASE)
+include make/make.$(OSTYPE).$(ARCH).$(COMP).$(OPT)
 -include make/local/make.$(HOSTNAME)
 -include make/local/make.$(HOSTNAME).$(COMP)
 -include make/local/make.$(HOSTNAME).$(COMP).$(OPT)
@@ -147,10 +160,14 @@
 		@echo "-> linking $@"
 		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME) $(LDFLAGS) -o $@
 
+$(BINARYDBL):	$(OBJDIR) $(BINDIR) $(OBJXXX) $(LIBRARYDBL) 
+		@echo "-> linking $@"
+		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME).dbl $(LDFLAGS) -o $@
+
 $(LIBRARY):	$(OBJDIR) $(LIBDIR) $(LIBXXX) 
 		@echo "-> generating library $@"
 		-rm -f $(LIBRARY)
-		$(AR) $(ARFLAGS) $@ $(LIBXXX)
+		$(AR) $@ $(LIBXXX) $(ARFLAGS) 
 		$(RANLIB) $@
 
 libdbl:		$(LIBRARYDBL) $(LIBDBLLINK)
@@ -158,7 +175,7 @@
 $(LIBRARYDBL):	$(OBJDIR) $(LIBDIR) $(LIBDBLXXX) 
 		@echo "-> generating library $@"
 		-rm -f $(LIBRARYDBL)
-		$(AR) $(ARFLAGS) $@ $(LIBDBLXXX)
+		$(AR) $@ $(LIBDBLXXX) $(ARFLAGS) 
 		$(RANLIB) $@
 
 $(SRCDIR)/mmlparse2.c:	$(SRCDIR)/mmlparse2.y $(SRCDIR)/mme.h
@@ -175,6 +192,9 @@
 
 doc:
 		cd doc; make -f Makefile
+
+doxygen:
+		cd doc; $(DOXY) $(NAME).dxy
 
 check:
 		cd check; \
