=== debian/changelog ===
zimpl (3.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Changed packaging format to "3.0 (quilt)".
  * Update Standards-Version to 3.9.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 13 Nov 2011 13:12:01 +0100

zimpl (3.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patch kfreebsd.dpatch: fixed upstream.
  * debian/control: Add missing "Depends: ${misc:Depends}".
  * Update Standards-Version to 3.9.1 (quote BSD license for some parts in
    debian/copyright).

 -- Joachim Reichel <reichel@debian.org>  Sat, 02 Oct 2010 20:45:30 +0200

zimpl (3.0.0+dfsg1-4) unstable; urgency=low

  * Make sure package does not get accidentally build as debug version
    (Closes: #552961).
  * Add patch display-check-failures.dpatch to simplify the debugging of
    failing unit tests.

 -- Joachim Reichel <reichel@debian.org>  Tue, 17 Nov 2009 20:12:43 +0100

zimpl (3.0.0+dfsg1-3) unstable; urgency=low

  * Add patch kfreebsd.dpatch: Fix build error on kFreeBSD (Closes: #550282).
  * Improve patch build.dpatch: Fail if not all tests pass.

 -- Joachim Reichel <reichel@debian.org>  Tue, 20 Oct 2009 18:59:04 +0200

zimpl (3.0.0+dfsg1-2) unstable; urgency=low

  * Re-enable test suite which was accidentially disabled in 2.09.ds1-1.

 -- Joachim Reichel <reichel@debian.org>  Wed, 16 Sep 2009 19:32:40 +0200

zimpl (3.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.3 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Wed, 16 Sep 2009 18:46:52 +0200

zimpl (2.09.ds1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.1 (add support for nocheck in
    DEB_BUILD_OPTIONS).

 -- Joachim Reichel <reichel@debian.org>  Fri, 01 May 2009 17:08:30 +0200

zimpl (2.08.ds1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace Suggests: glpk by new package name glpk-utils.
  * debian/control: Update Standards-Version to 3.8.0 (no changes needed).
  * Remove patch check.dpatch: No longer needed.

 -- Joachim Reichel <reichel@debian.org>  Sun, 18 Jan 2009 15:51:17 +0100

zimpl (2.07.ds1-2) unstable; urgency=low

  * debian/rules: Quote CFLAGS and CPPFLAGS in make calls (Closes: #476017),
    thanks to Mike O'Connor for the patch.
  * debian/control: Add Homepage: field, adjust Description: accordingly.
  * debian/control: Update Standards-Version to 3.7.3 (no changes needed).
  * Add patch manpage.dpatch: Fix typo in manpage.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 16 Apr 2008 18:17:48 +0200

zimpl (2.07.ds1-1) unstable; urgency=low

  * New upstream release.
  * Add patch check.dpatch: the different number format is a known problem
    without consequences.
  * Add watch file.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Mon,  3 Sep 2007 18:59:32 +0200

zimpl (2.05.ds2-1) unstable; urgency=low

  * New upstream release (upstream fixed some packaging errors without
    increasing the version number).
  * Update URL of homepage.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Sat,  4 Nov 2006 16:50:36 +0100

zimpl (2.05.ds1-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Reichel <joachim.reichel@gmx.de>  Mon, 18 Sep 2006 20:28:50 +0200

zimpl (2.04.ds1-1) unstable; urgency=low

  * Initial release (Closes: #365073).

 -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 19 Jul 2006 15:39:36 +0200
