=== debian/control ===
Source: zimpl
Section: science
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
Build-Depends: debhelper (>= 8.0.0), libgmp3-dev, zlib1g-dev, quilt, bison, flex
Standards-Version: 3.9.2
Homepage: http://zimpl.zib.de/

Package: zimpl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: glpk-utils
Description: mathematical modeling language for optimization problems
 Zimpl allows the specification of certain optimization problems - linear
 programs (LPs) and mixed integer programs (MIPs) - in a high-level
 description language. These descriptions can be converted into the
 LP or MPS file formats which are understood by LP and MIP solvers.
