=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

%:
	dh $@  --with quilt

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_build -- VERBOSE=true

override_dh_auto_test:
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_test -- VERBOSE=true

override_dh_install:
	# replace symbolic link bin/zimpl by the link target
	cp -L bin/zimpl bin/zimpl.real
	rm bin/zimpl
	mv bin/zimpl.real bin/zimpl 
	dh_install bin/zimpl usr/bin

override_dh_installexamples:
	dh_installexamples example/*

override_dh_installman:
	dh_installman doc/zimpl.man

override_dh_auto_clean:
	dh_auto_clean
	cd check/warnings && rm -f w215.warn w215.tbl w215.mst w215.lp

get-orig-source:
	wget http://zimpl.zib.de/download/zimpl-3.2.0.tgz
	tar xzf zimpl-3.2.0.tgz
	rm zimpl-3.2.0.tgz
	rm -r zimpl-3.2.0/doc/zimpl.pdf
	mv zimpl-3.2.0 zimpl-3.2.0+dfsg
	tar cf - zimpl-3.2.0+dfsg | gzip --best >zimpl_3.2.0+dfsg.orig.tar.gz
	rm -r zimpl-3.2.0+dfsg

.PHONY: get-orig-source
