=== debian/changelog ===
zimpl (3.3.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Backup pre-generated flex and bison output files to restore them after
    the build process (which might trigger re-building them).

 -- Joachim Reichel <reichel@debian.org>  Thu, 02 Aug 2012 22:33:33 +0200

zimpl (3.2.0+dfsg-2) unstable; urgency=low

  * Change Build-Depends: libgmp3-dev to libgmp-dev.
  * Change Build-Depends: debhelper (>= 8.0.0) to debhelper (>= 9), update
    debian/compat to get the default build flags for hardening.
  * Add patch fix-format-security-error.patch to fix an error caused by
    -Wformat-security.
  * Remove Build-Depends: quilt.
  * Update Standards-Version to 3.9.3 (no changes needed).
  * Fix Format: line in debian/copyright.
  * Fix debian/watch.

 -- Joachim Reichel <reichel@debian.org>  Sun, 10 Jun 2012 14:52:17 +0200
