=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@  --with quilt
+	dh $@
 
 override_dh_auto_build:
+	for FILE in src/mmlparse2.c src/mmlparse2.h src/mmlscan.c; do cp -a $$FILE $$FILE.sik; done
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_build -- VERBOSE=true
+	for FILE in src/mmlparse2.c src/mmlparse2.h src/mmlscan.c; do mv $$FILE.sik $$FILE; done
 
 override_dh_auto_test:
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_test -- VERBOSE=true
