=== debian/changelog ===
zimpl (3.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sun, 14 Apr 2013 19:37:34 +0200
