=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libgmp3-dev, zlib1g-dev, quilt, bison, flex
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libgmp-dev, zlib1g-dev, bison, flex
+Standards-Version: 3.9.3
 Homepage: http://zimpl.zib.de/
 
 Package: zimpl
