=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//" http://zimpl.zib.de/download/zimpl-(.*)\.tgz
