## zimpl 3.3.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.84 2012/11/23 13:03:38 bzfkocht Exp $
+# $Id: Makefile,v 1.86 2014/01/12 11:07:04 bzfkocht Exp $
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -48,10 +48,11 @@
 
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	3.3.1
+VERSION		=	3.3.2
 VERBOSE		=	false
 SHARED		=	false
 STATIC		=	false
+ZLIB		=	true
 LINK		=	normal
 OPT		=	opt
 COMP		=	gnu
@@ -72,7 +73,7 @@
 
 CPPFLAGS	=	-I$(SRCDIR) -DVERSION='"$(VERSION)"'
 CFLAGS		=	-O
-LDFLAGS		=	-lgmp -lz -lm
+LDFLAGS		=	-lgmp -lm
 YFLAGS		=	-d -t -v  
 LFLAGS		=	-d
 ARFLAGS		=	
@@ -82,6 +83,12 @@
 			-Wstrict-prototypes -Wmissing-prototypes -Winline \
 			-Wmissing-declarations -Wshadow -Waggregate-return \
 			-Wno-unused -Wno-unknown-pragmas 
+
+ifeq ($(ZLIB),true)
+LDFLAGS		+=	-lz
+else
+CPPFLAGS	+=	-DWITHOUT_ZLIB
+endif
 
 ifeq ($(SHARED),true)
 LINK		=	shared
