=== debian/changelog ===
zimpl (3.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Use Files-Excluded: in debian/copyright, remove get-orig-source target,
    update debian/README.source.
  * Update Standards-Version to 3.9.5 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 18 May 2014 16:23:23 +0200
