=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
 Build-Depends: debhelper (>= 9), libgmp-dev, zlib1g-dev, bison, flex
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://zimpl.zib.de/
 
 Package: zimpl
