=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,12 @@
 	cd check/warnings && rm -f w215.warn w215.tbl w215.mst w215.lp
 
 get-orig-source:
-	wget http://zimpl.zib.de/download/zimpl-3.2.0.tgz
-	tar xzf zimpl-3.2.0.tgz
-	rm zimpl-3.2.0.tgz
-	rm -r zimpl-3.2.0/doc/zimpl.pdf
-	mv zimpl-3.2.0 zimpl-3.2.0+dfsg
-	tar cf - zimpl-3.2.0+dfsg | gzip --best >zimpl_3.2.0+dfsg.orig.tar.gz
-	rm -r zimpl-3.2.0+dfsg
+	wget http://zimpl.zib.de/download/zimpl-3.3.1.tgz
+	tar xzf zimpl-3.3.1.tgz
+	rm zimpl-3.3.1.tgz
+	rm -r zimpl-3.3.1/doc/zimpl.pdf
+	mv zimpl-3.3.1 zimpl-3.3.1+dfsg
+	tar cf - zimpl-3.3.1+dfsg | gzip --best >zimpl_3.3.1+dfsg.orig.tar.gz
+	rm -r zimpl-3.3.1+dfsg
 
 .PHONY: get-orig-source
