## zimpl 3.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.86 2014/01/12 11:07:04 bzfkocht Exp $
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*                                                                           *
 #*   File....: Makefile                                                      *
@@ -8,7 +7,7 @@
 #*                                                                           *
 #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 #*
-#* Copyright (C) 2005-2010 by Thorsten Koch <koch@zib.de>
+#* Copyright (C) 2005-2017 by Thorsten Koch <koch@zib.de>
 #* 
 #* This program is free software; you can redistribute it and/or
 #* modify it under the terms of the GNU General Public License
@@ -48,20 +47,26 @@
 
 HOSTNAME	:=      $(shell uname -n | tr '[:upper:]' '[:lower:]')
 
-VERSION		=	3.3.2
+VERSION		=	3.3.4
 VERBOSE		=	false
 SHARED		=	false
 STATIC		=	false
 ZLIB		=	true
-LINK		=	normal
+LINK		=	static
 OPT		=	opt
 COMP		=	gnu
-CC		=	gcc
+CC		   =	gcc
+CC_o	   = -o
+LINKCC   =	gcc
+LINKCC_o =	 -o #the white space is important
+LIBEXT	= .a
 YACC		=	bison
 LEX		=	flex
 DCC		=	gcc
 LINT		=	flexelint
-AR		=	ar cr
+CPPCHECK	=	cppcheck
+AR		   =	ar cr
+AR_o	   =
 RANLIB		=	ranlib
 DOXY		=	doxygen
 VALGRIND	=	valgrind --tool=memcheck --leak-check=full \
@@ -102,12 +107,14 @@
 NAME		=	zimpl
 BINNAME		=	$(NAME)-$(VERSION).$(OSTYPE).$(ARCH).$(COMP).$(LINK).$(OPT)
 LIBNAME		=	$(NAME)-$(VERSION).$(BASE)
-LIBRARY		=	$(LIBDIR)/lib$(LIBNAME).a
-LIBRARYDBL	=	$(LIBDIR)/lib$(LIBNAME).dbl.a
+
+LIBRARY		=	$(LIBDIR)/lib$(LIBNAME)$(LIBEXT)
+LIBRARYDBL	=	$(LIBDIR)/lib$(LIBNAME).dbl$(LIBEXT)
+LIBLINK		=	$(LIBDIR)/lib$(NAME).$(BASE)$(LIBEXT)
+LIBDBLLINK	=	$(LIBDIR)/lib$(NAME).$(BASE).dbl$(LIBEXT)
+
 BINARY		=	$(BINDIR)/$(BINNAME)
 BINARYDBL	=	$(BINDIR)/$(BINNAME).dbl
-LIBLINK		=	$(LIBDIR)/lib$(NAME).$(BASE).a
-LIBDBLLINK	=	$(LIBDIR)/lib$(NAME).$(BASE).dbl.a
 BINLINK		=	$(BINDIR)/$(NAME).$(BASE)
 BINSHORTLINK	=	$(BINDIR)/$(NAME)
 DEPEND		=	$(SRCDIR)/depend
@@ -168,17 +175,23 @@
 
 $(BINARY):	$(OBJDIR) $(BINDIR) $(OBJXXX) $(LIBRARY) 
 		@echo "-> linking $@"
-		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME) $(LDFLAGS) -o $@
+ifeq ($(COMP), msvc)
+		$(LINKCC) $(CFLAGS) $(OBJXXX) $(LIBRARY) $(LDFLAGS) $(LINKCC_o)$@
+else
+		$(LINKCC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME) $(LDFLAGS) $(LINKCC_o)$@
+endif
 
 $(BINARYDBL):	$(OBJDIR) $(BINDIR) $(OBJXXX) $(LIBRARYDBL) 
 		@echo "-> linking $@"
-		$(CC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME).dbl $(LDFLAGS) -o $@
+		$(LINKCC) $(CFLAGS) $(OBJXXX) -L$(LIBDIR) -l$(LIBNAME).dbl $(LDFLAGS) $(CC_o)$@
 
 $(LIBRARY):	$(OBJDIR) $(LIBDIR) $(LIBXXX) 
 		@echo "-> generating library $@"
 		-rm -f $(LIBRARY)
-		$(AR) $@ $(LIBXXX) $(ARFLAGS) 
+		$(AR) $(AR_o)$@ $(LIBXXX) $(ARFLAGS)
+ifneq ($(RANLIB),)
 		$(RANLIB) $@
+endif
 
 libdbl:		$(LIBRARYDBL) $(LIBDBLLINK)
 
@@ -199,6 +212,9 @@
 lint:		$(OBJSRC) $(LIBSRC)
 		$(LINT) $(SRCDIR)/project.lnt \
 		$(CPPFLAGS) -UNDEBUG -Dinline= -DNO_MSHELL $^
+
+cppcheck:	$(OBJSRC) $(LIBSRC)
+		$(CPPCHECK) $(CPPFLAGS) --inline-suppr --enable=warning,style,performance,portability,information $^
 
 doc:
 		cd doc; make -f Makefile
@@ -248,6 +264,6 @@
 
 $(OBJDIR)/%.o:	$(SRCDIR)/%.c
 		@echo "-> compiling $@"
-		$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c $< $(CC_o)$@
 
 # --- EOF ---------------------------------------------------------------------
