=== debian/changelog ===
zimpl (3.3.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.0.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 09 Jul 2017 19:06:11 +0200

zimpl (3.3.4-1) experimental; urgency=medium

  * New upstream release.
  * Fix BSD 3-clause license name in debian/copyright.
  * Add "export DEB_BUILD_MAINT_OPTIONS = hardening=+all" to debian/rules.
  * Update Standards-Version to 3.9.8 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 07 Apr 2017 21:37:37 +0200
